Package com.independentsoft.office.word.fonts

# Class EmbeddedFont

java.lang.Object
com.independentsoft.office.word.fonts.EmbeddedFont

Direct Known Subclasses:
  `EmbeddedFontBold`, `EmbeddedFontBoldItalic`, `EmbeddedFontItalic`, `EmbeddedFontRegular`

public abstract class EmbeddedFont extends Object
The Class EmbeddedFont.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `buffer`
  `protected String`
  `fileName`
  `protected String`
  `key`
  `protected String`
  `relationshipID`
  `protected ExtendedBoolean`
  `subsetted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedFont()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract EmbeddedFont`
  `clone()`
  `byte[]`
  `getBuffer()`
  Gets the buffer.
  `String`
  `getFileName()`
  Gets the file name.
  `String`
  `getKey()`
  Gets the key.
  `String`
  `getRelationshipID()`
  Gets the relationship id.
  `ExtendedBoolean`
  `getSubsetted()`
  Gets the subsetted.
  `void`
  `setBuffer​(byte[] buffer)`
  Sets the buffer.
  `void`
  `setKey​(String key)`
  Sets the key.
  `void`
  `setRelationshipID​(String relationshipID)`
  Sets the relationship id.
  `void`
  `setSubsetted​(ExtendedBoolean subsetted)`
  Sets the subsetted.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    protected String key

  - ### relationshipID

    protected String relationshipID

  - ### subsetted

    protected ExtendedBoolean subsetted

  - ### buffer

    protected byte[] buffer

  - ### fileName

    protected String fileName

- ## Constructor Details

  - ### EmbeddedFont

    public EmbeddedFont()

- ## Method Details

  - ### clone

    public abstract EmbeddedFont clone()
    Overrides:
      `clone` in class `Object`

  - ### getKey

    public String getKey()
    Gets the key.
    Returns:
      the key

  - ### setKey

    public void setKey​(String key)
    Sets the key.
    Parameters:
      `key` - the new key

  - ### getRelationshipID

    public String getRelationshipID()
    Gets the relationship id.
    Returns:
      the relationship id

  - ### setRelationshipID

    public void setRelationshipID​(String relationshipID)
    Sets the relationship id.
    Parameters:
      `relationshipID` - the new relationship id

  - ### getSubsetted

    public ExtendedBoolean getSubsetted()
    Gets the subsetted.
    Returns:
      the subsetted

  - ### setSubsetted

    public void setSubsetted​(ExtendedBoolean subsetted)
    Sets the subsetted.
    Parameters:
      `subsetted` - the new subsetted

  - ### getFileName

    public String getFileName()
    Gets the file name.
    Returns:
      the file name

  - ### getBuffer

    public byte[] getBuffer()
    Gets the buffer.
    Returns:
      the buffer

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Sets the buffer.
    Parameters:
      `buffer` - the new buffer